summaryrefslogtreecommitdiff
path: root/benchmark.bash
diff options
context:
space:
mode:
authorJakob Unterwurzacher2017-02-15 23:02:01 +0100
committerJakob Unterwurzacher2017-02-15 23:02:01 +0100
commitce2e610428c940c2bd5ca1790e7375117b1f6015 (patch)
tree08563c5e36b8d285390f897cd122e7e1aa8f6fc4 /benchmark.bash
parent6be7808992a1d9562b113b13831cd6d6a40114d6 (diff)
OSX compat: replace fusermount calls with fuse-unmount.bash
Mac OS X does not have fusermount and uses umount instead. The fuse-unmount.bash calls the appropriate command.
Diffstat (limited to 'benchmark.bash')
-rwxr-xr-xbenchmark.bash3
1 files changed, 2 insertions, 1 deletions
diff --git a/benchmark.bash b/benchmark.bash
index d53e718..b1c334e 100755
--- a/benchmark.bash
+++ b/benchmark.bash
@@ -5,6 +5,7 @@
cd "$(dirname "$0")"
MYNAME=$(basename "$0")
+source tests/fuse-unmount.bash
function usage {
echo "Usage: $MYNAME [-encfs] [-openssl=true] [-openssl=false] [DIR]"
@@ -70,7 +71,7 @@ else
fi
# Cleanup trap
-trap "cd /; fusermount -u -z $MNT; rm -rf $CRYPT $MNT" EXIT
+trap "cd /; fuse-unmount -z $MNT; rm -rf $CRYPT $MNT" EXIT
# Benchmarks
./tests/canonical-benchmarks.bash $MNT